#!/usr/bin/python3
# -*- coding:utf-8 -*-

api_list={
    "沪深股票": {
        "基础数据": {
            "股票列表": {},
            "交易日历": {},
            "股票曾用名": {},
            "沪深股通成分股": {},
            "上市公司基本信息": {},
            "上市公司管理层": {},
            "管理层薪酬和持股": {},
            "IPO新股上市": {},
            "备用列表": {}
        },
        "行情数据": {
            "日线行情": {},
            "周线行情": {},
            "月线行情": {},
            "复权行情": {},
            "股票复权因子": {},
            "停复牌信息(停)": {},
            "每日停复牌信息": {},
            "每日指标": {},
            "通用行情接口": {},
            "个股资金流向": {},
            "每日涨跌停价格": {},
            "每日涨跌停统计": {},
            "沪深港通资金流向": {},
            "沪深股通十大成交股": {},
            "沪深股通持股明细": {},
            "港股通每日成交统计": {},
            "港股通每月成交统计": {},
            "备用行情": {}
        },
        "财务数据": {
            "利润表": {},
            "资产负债表": {},
            "现金流量表": {},
            "业绩预告": {},
            "业绩快报": {},
            "分红送股数据": {},
            "财务指标数据": {},
            "财务审计意见": {},
            "主营业务构成": {},
            "财报披露日期表": {}
        },
        "市场参考数据": {
            "港股通十大成交股": {},
            "融资融券交易汇总": {},
            "融资融券交易明细": {},
            "前十大股东": {},
            "前十大流通股东": {},
            "龙虎榜每日明细": {},
            "龙虎榜机构交易明细": {},
            "股权质押统计数据": {},
            "股权质押明细数据": {},
            "股票回购": {},
            "概念股分类表": {},
            "概念股明细列表": {},
            "限售股解禁": {},
            "大宗交易": {},
            "股票开户数据（停）": {},
            "股票开户数据（旧）": {},
            "股东人数": {},
            "股东增减持": {},
            "券商月度金股": {}
        }
    },
    "指数": {
        "指数基本信息": {},
        "指数日线行情": {},
        "指数周线行情": {},
        "指数月线行情": {},
        "指数成分和权重": {},
        "大盘指数每日指标": {},
        "申万行业分类": {},
        "申万行业成分": {},
        "市场每日交易统计": {},
        "同花顺概念和行业列表": {},
        "同花顺概念和行业指数行情": {},
        "同花顺概念和行业指数成分": {},
        "国际主要指数": {}
    },
    "公募基金": {
        "基金列表": {},
        "基金管理人": {},
        "基金经理": {},
        "基金规模": {},
        "基金净值": {},
        "基金分红": {},
        "基金持仓": {},
        "基金行情": {},
        "基金复权因子": {}
    },
    "期货": {
        "期货合约信息": {},
        "期货交易日历": {},
        "期货日线行情": {},
        "每日持仓排名": {},
        "仓单日报": {},
        "每日结算参数": {},
        "南华期货指数行情": {},
        "期货主力与连续合约": {},
        "期货主要品种交易周报": {}
    },
    "期权": {
        "期权合约信息": {},
        "期权日线行情": {},
        "TICK数据": {}
    },
    "债券": {
        "可转债基础信息": {},
        "可转债发行": {},
        "可转债行情": {},
        "可转债转股价变动": {},
        "可转债转股结果": {},
        "债券回购日行情": {},
        "全球财经事件": {}
    },
    "外汇": {
        "外汇基础信息（海外）": {},
        "外汇日线行情": {}
    },
    "港股": {
        "港股列表": {},
        "港股交易日历": {},
        "港股日线行情": {}
    },
    "美股": {
        "美股列表": {},
        "美股交易日历": {},
        "美股日线行情": {}
    },
    "行业经济": {
        "TMT行业": {
            "台湾电子产业月营收": {},
            "台湾电子产业月营收明细": {},
            "电影月度票房": {},
            "电影周度票房": {},
            "电影日度票房": {},
            "影院日度票房": {},
            "全国电影剧本备案数据": {},
            "全国电视剧备案公示数据": {}
        }
    },
    "宏观经济": {
        "国内宏观": {
            "利率数据": {
                "Shibor利率": {},
                "Shibor报价数据": {},
                "LPR贷款基础利率": {},
                "Libor利率": {},
                "Hibor利率": {},
                "温州民间借贷利率": {},
                "广州民间借贷利率": {}
            },
            "国民经济": {
                "国内生产总值（GDP）": {}
            },
            "价格指数": {
                "居民消费价格指数（CPI）": {},
                "工业生产者出厂价格指数（PPI）": {}
            },
            "金融": {
                "货币供应量": {
                    "货币供应量（月）": {}
                }
            }
        },
        "国际宏观": {
            "美国利率": {
                "国债收益率曲线利率": {},
                "国债实际收益率曲线利率": {},
                "短期国债利率": {},
                "国债长期利率": {},
                "国债长期利率平均值": {}
            }
        }
    },
    "另类数据": {
        "新闻快讯": {},
        "新闻通讯（长篇）": {},
        "新闻联播文字稿": {},
        "上市公司公告原文": {},
        "新冠状肺炎感染人数": {},
        "全球新冠疫情数据": {}
    },
    "财富管理": {
        "基金销售行业数据": {
            "各渠道公募基金销售保有规模占比": {},
            "销售机构公募基金销售保有规模": {}
        }
    }
}